<template>
  <div>
    <div class="card m-5 profile">
      <div class="card-header text-lg-start">Detail Book</div>
      <div class="card-body">
        <div class="row text-lg-start">
          <div class="col-md-6">username : {{ data.name }}</div>
          <div class="col-md-6">fullname : {{ data.description }}</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import { mapState } from "vuex";
export default {
  name: "Detail",
  data() {
    return {
      data: {},
      id: null
    };
  },
  props: {
    detailId: {
      type: String,
    },
  },
  methods: {
    async getUsers() {
      let tokenData = localStorage.getItem("token");
      await axios
        .get("api/books/detail?token=" + tokenData + "&id=" + this.id)
        .then((response) => {
          this.data = response.data.data;
        });
    },
  },
  computed: {
    ...mapState(["token"]),
  },
  mounted() {
    this.id = this.token;
    console.log('smpe detai',this.detailId)
    // this.getUsers();
  },
};
</script>

<style lang="scss" scoped>
</style>